Skip to content

MSP Batch OpenAPI ​

1 operation. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
mspBatchControllerPOSTBatch Processing MSP OpenAPIs

mspBatchController ​

POST /openapi/v1/msp/{mspId}/batch

Batch Processing MSP OpenAPIs

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema Batch request entity

FieldTypeRequiredDescription
interruptbooleannoIndicates whether to interrupt execution when encountering an error while executing openAPI, defaults to true
actionsarray<Request action entity>noList of OpenAPIs that require batch execution. Up to 20 entries are allowed for the action list
json
// omada_call_operation
{
  "operationId": "mspBatchController",
  "body": "{...}"
}
Details, permissions and error codes

Batch processing of multiple OpenAPIs under the same MSP controller through this OpenAPI.
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-1600 - Unsupported request path.
-1619 - Execution has been interrupted due to unsuccessful execution of the pre action request.
-1620 - Error occurred while executing action.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-44113 - The Access Token is Invalid.
-7132 - Our server is receiving too many requests now. Please try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.